<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_12" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21679"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="MeatProbeVC">
            <connections>
                <outlet property="bleStatusLabel" destination="7bY-Ib-xgF" id="obS-2C-ezt"/>
                <outlet property="logTextView" destination="aWC-up-Yoe" id="Gad-hB-MrW"/>
                <outlet property="view" destination="thx-ue-KPs" id="ozx-bW-w8j"/>
            </connections>
        </placeholder>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="thx-ue-KPs">
            <rect key="frame" x="0.0" y="0.0" width="393" height="852"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="LZQ-xA-pA3">
                    <rect key="frame" x="16" y="346" width="31" height="30"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="清空"/>
                    <connections>
                        <action selector="clearAction:" destination="-1" eventType="touchUpInside" id="P6P-KV-phg"/>
                    </connections>
                </button>
                <button hidden="YES" opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Wia-UQ-8Ld">
                    <rect key="frame" x="346" y="346" width="31" height="30"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="分享"/>
                    <connections>
                        <action selector="shareLogAction:" destination="-1" eventType="touchUpInside" id="e5W-ic-RSS"/>
                    </connections>
                </button>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Stauts" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="7bY-Ib-xgF">
                    <rect key="frame" x="0.0" y="63" width="393" height="21"/>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <view clipsSubviews="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="2cp-J6-wNZ">
                    <rect key="frame" x="8" y="384" width="377" height="434"/>
                    <subviews>
                        <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" showsHorizontalScrollIndicator="NO" indicatorStyle="white" editable="NO" selectable="NO" translatesAutoresizingMaskIntoConstraints="NO" id="aWC-up-Yoe">
                            <rect key="frame" x="0.0" y="0.0" width="377" height="434"/>
                            <color key="backgroundColor" systemColor="labelColor"/>
                            <color key="textColor" systemColor="opaqueSeparatorColor"/>
                            <fontDescription key="fontDescription" name="HelveticaNeue-Light" family="Helvetica Neue" pointSize="10"/>
                            <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                        </textView>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="aWC-up-Yoe" firstAttribute="leading" secondItem="2cp-J6-wNZ" secondAttribute="leading" id="IA2-sg-ktX"/>
                        <constraint firstAttribute="bottom" secondItem="aWC-up-Yoe" secondAttribute="bottom" id="NbF-DQ-HWh"/>
                        <constraint firstItem="aWC-up-Yoe" firstAttribute="top" secondItem="2cp-J6-wNZ" secondAttribute="top" id="UvG-mE-0OI"/>
                        <constraint firstAttribute="trailing" secondItem="aWC-up-Yoe" secondAttribute="trailing" id="YF8-Au-gGR"/>
                    </constraints>
                    <userDefinedRuntimeAttributes>
                        <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                            <real key="value" value="8"/>
                        </userDefinedRuntimeAttribute>
                    </userDefinedRuntimeAttributes>
                </view>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="RjY-Pb-1ZL">
                    <rect key="frame" x="24" y="108" width="145.33333333333334" height="35"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="Button"/>
                    <buttonConfiguration key="configuration" style="filled" title="请求自定义数据"/>
                    <connections>
                        <action selector="customDataRequestAction:" destination="-1" eventType="touchUpInside" id="4HT-gK-erD"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="6wU-4y-kXJ">
                    <rect key="frame" x="201.33333333333337" y="108" width="146" height="35"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="Button"/>
                    <buttonConfiguration key="configuration" style="filled" title="发送自定义数据"/>
                    <connections>
                        <action selector="customDataSendAction:" destination="-1" eventType="touchUpInside" id="Tgn-0e-wxU"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Vm8-VU-scN">
                    <rect key="frame" x="202" y="159" width="93.333333333333314" height="35"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="Button"/>
                    <buttonConfiguration key="configuration" style="filled" title="单位切换"/>
                    <connections>
                        <action selector="switchUnitAction:" destination="-1" eventType="touchUpInside" id="Gkc-6R-oeG"/>
                    </connections>
                </button>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="ttt-Hs-Tk9">
                    <rect key="frame" x="24" y="159" width="146" height="35"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="Button"/>
                    <buttonConfiguration key="configuration" style="filled" title="清除自定义数据"/>
                    <connections>
                        <action selector="customDataClearAction:" destination="-1" eventType="touchUpInside" id="VKf-Yq-l4b"/>
                    </connections>
                </button>
            </subviews>
            <viewLayoutGuide key="safeArea" id="5ya-cg-e71"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="Vm8-VU-scN" firstAttribute="top" secondItem="RjY-Pb-1ZL" secondAttribute="bottom" constant="16" id="3fa-3k-CsR"/>
                <constraint firstItem="7bY-Ib-xgF" firstAttribute="leading" secondItem="5ya-cg-e71" secondAttribute="leading" id="5iU-uI-ukE"/>
                <constraint firstItem="5ya-cg-e71" firstAttribute="trailing" secondItem="Wia-UQ-8Ld" secondAttribute="trailing" constant="16" id="GYI-zv-QJU"/>
                <constraint firstItem="7bY-Ib-xgF" firstAttribute="top" secondItem="5ya-cg-e71" secondAttribute="top" constant="4" id="KNZ-xZ-Kvy"/>
                <constraint firstItem="ttt-Hs-Tk9" firstAttribute="top" secondItem="RjY-Pb-1ZL" secondAttribute="bottom" constant="16" id="Lji-qd-u0z"/>
                <constraint firstItem="6wU-4y-kXJ" firstAttribute="leading" secondItem="RjY-Pb-1ZL" secondAttribute="trailing" constant="32" id="M6a-6u-DWR"/>
                <constraint firstItem="RjY-Pb-1ZL" firstAttribute="leading" secondItem="5ya-cg-e71" secondAttribute="leading" constant="24" id="NYf-r3-SxK"/>
                <constraint firstItem="2cp-J6-wNZ" firstAttribute="top" secondItem="7bY-Ib-xgF" secondAttribute="bottom" constant="300" id="P0n-PG-LvG"/>
                <constraint firstItem="2cp-J6-wNZ" firstAttribute="top" secondItem="Wia-UQ-8Ld" secondAttribute="bottom" constant="8" symbolic="YES" id="SWO-jj-7Mh"/>
                <constraint firstItem="RjY-Pb-1ZL" firstAttribute="top" secondItem="7bY-Ib-xgF" secondAttribute="bottom" constant="24" id="TRo-Mu-UVA"/>
                <constraint firstItem="6wU-4y-kXJ" firstAttribute="top" secondItem="7bY-Ib-xgF" secondAttribute="bottom" constant="24" id="Uqf-4D-Cl0"/>
                <constraint firstItem="2cp-J6-wNZ" firstAttribute="leading" secondItem="5ya-cg-e71" secondAttribute="leading" constant="8" id="Z3M-US-a9v"/>
                <constraint firstItem="5ya-cg-e71" firstAttribute="trailing" secondItem="2cp-J6-wNZ" secondAttribute="trailing" constant="8" id="ZSu-l2-kID"/>
                <constraint firstItem="Vm8-VU-scN" firstAttribute="leading" secondItem="ttt-Hs-Tk9" secondAttribute="trailing" constant="32" id="gT6-xc-gTY"/>
                <constraint firstItem="ttt-Hs-Tk9" firstAttribute="leading" secondItem="5ya-cg-e71" secondAttribute="leading" constant="24" id="hNT-dX-rsK"/>
                <constraint firstItem="LZQ-xA-pA3" firstAttribute="leading" secondItem="5ya-cg-e71" secondAttribute="leading" constant="16" id="kW2-mg-yKj"/>
                <constraint firstItem="5ya-cg-e71" firstAttribute="bottom" secondItem="2cp-J6-wNZ" secondAttribute="bottom" id="ms3-vm-VMQ"/>
                <constraint firstItem="5ya-cg-e71" firstAttribute="trailing" secondItem="7bY-Ib-xgF" secondAttribute="trailing" id="qVb-2b-hVU"/>
                <constraint firstItem="2cp-J6-wNZ" firstAttribute="top" secondItem="LZQ-xA-pA3" secondAttribute="bottom" constant="8" symbolic="YES" id="tY0-Fc-dAj"/>
                <constraint firstItem="7bY-Ib-xgF" firstAttribute="centerX" secondItem="thx-ue-KPs" secondAttribute="centerX" id="yRU-ks-IeE"/>
            </constraints>
            <point key="canvasLocation" x="53" y="20"/>
        </view>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
    </objects>
    <resources>
        <systemColor name="labelColor">
            <color red="0.0" green="0.0" blue="0.0" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="opaqueSeparatorColor">
            <color red="0.77647058823529413" green="0.77647058823529413" blue="0.78431372549019607" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
